org.apache.avro.data

## Class TimeConversions.LocalTimestampMicrosConversion

- java.lang.Object
- - org.apache.avro.Conversion<LocalDateTime>
  - - org.apache.avro.data.TimeConversions.LocalTimestampMicrosConversion

- Enclosing class:
    TimeConversions

      public static class TimeConversions.LocalTimestampMicrosConversion
      extends Conversion<LocalDateTime>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTimestampMicrosConversion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalDateTime` | `fromLong(Long microsFromEpoch, Schema schema, LogicalType type)`
    `Class<LocalDateTime>` | `getConvertedType()` Return the Java class representing the logical type.
    `String` | `getLogicalTypeName()` Return the logical type this class converts.
    `Schema` | `getRecommendedSchema()`
    `Long` | `toLong(LocalDateTime timestamp, Schema schema, LogicalType type)`

    - ### Methods inherited from class org.apache.avro.Conversion

      `adjustAndSetValue, fromArray, fromBoolean, fromBytes, fromCharSequence, fromDouble, fromEnumSymbol, fromFixed, fromFloat, fromInt, fromMap, fromRecord, toArray, toBoolean, toBytes, toCharSequence, toDouble, toEnumSymbol, toFixed, toFloat, toInt, toMap, toRecord`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTimestampMicrosConversion

          public LocalTimestampMicrosConversion()

  - ### Method Detail

    - #### getConvertedType

          public Class<LocalDateTime> getConvertedType()

      Description copied from class: `Conversion`
      Return the Java class representing the logical type.
      Specified by:
        `getConvertedType` in class `Conversion<LocalDateTime>`
      Returns:
        a Java class returned by from methods and accepted by to methods

    - #### getLogicalTypeName

          public String getLogicalTypeName()

      Description copied from class: `Conversion`
      Return the logical type this class converts.
      Specified by:
        `getLogicalTypeName` in class `Conversion<LocalDateTime>`
      Returns:
        a String logical type name

    - #### fromLong

          public LocalDateTime fromLong(Long microsFromEpoch,
                                        Schema schema,
                                        LogicalType type)

      Overrides:
        `fromLong` in class `Conversion<LocalDateTime>`

    - #### toLong

          public Long toLong(LocalDateTime timestamp,
                             Schema schema,
                             LogicalType type)

      Overrides:
        `toLong` in class `Conversion<LocalDateTime>`

    - #### getRecommendedSchema

          public Schema getRecommendedSchema()

      Overrides:
        `getRecommendedSchema` in class `Conversion<LocalDateTime>`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.